//
// Created by rhetenor on 5/6/19.
//

#include "DriverBoardItem.h"

using namespace flippR_driver::output;

items::detail::DriverBoardItem::DriverBoardItem(std::shared_ptr<PinController> pin_controller, const uint8_t & address, const uint8_t & pin_base) :
  address(pin_base + address)
{
  pin_controller->initialize_output_pin(this->address);
}

uint8_t items::detail::DriverBoardItem::get_address() const
{
  return this->address;
}
